com.salesforce.datacloud.jdbc

## Class DataCloudJDBCDriver

- java.lang.Object
- - com.salesforce.datacloud.jdbc.DataCloudJDBCDriver

All Implemented Interfaces:
  Driver

    public class DataCloudJDBCDriver
    extends Object
    implements Driver

### Constructor Summary

Constructors
Constructor and Description
`DataCloudJDBCDriver()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `acceptsURL(String url)`
`Connection` `connect(String url, Properties info)`
`int` `getMajorVersion()`
`int` `getMinorVersion()`
`Logger` `getParentLogger()`
`DriverPropertyInfo[]` `getPropertyInfo(String url, Properties info)`
`static boolean` `isRegistered()`
`boolean` `jdbcCompliant()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DataCloudJDBCDriver

    public DataCloudJDBCDriver()

### Method Detail

#### isRegistered

    public static boolean isRegistered()

#### connect

    public Connection connect(String url,
                              Properties info)
                       throws SQLException

Specified by:
  `connect` in interface `Driver`
Throws:
  `SQLException`

#### acceptsURL

    public boolean acceptsURL(String url)

Specified by:
  `acceptsURL` in interface `Driver`

#### getPropertyInfo

    public DriverPropertyInfo[] getPropertyInfo(String url,
                                                Properties info)

Specified by:
  `getPropertyInfo` in interface `Driver`

#### getMajorVersion

    public int getMajorVersion()

Specified by:
  `getMajorVersion` in interface `Driver`

#### getMinorVersion

    public int getMinorVersion()

Specified by:
  `getMinorVersion` in interface `Driver`

#### jdbcCompliant

    public boolean jdbcCompliant()

Specified by:
  `jdbcCompliant` in interface `Driver`

#### getParentLogger

    public Logger getParentLogger()

Specified by:
  `getParentLogger` in interface `Driver`